uk.gov.hmrc.auth.core.retrieve.v2

# Retrievals

###
Related Docs: trait Retrievals | package v2

#### object Retrievals extends Retrievals

Linear Supertypes
Retrievals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Retrievals
2. Retrievals
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val affinityGroup: Retrieval[Option[AffinityGroup]]

   Definition Classes
     Retrievals

5. #### val agentCode: Retrieval[Option[String]]

   Definition Classes
     Retrievals

6. #### val agentInformation: Retrieval[AgentInformation]

   Definition Classes
     Retrievals

7. #### val allEnrolments: Retrieval[Enrolments]

   Definition Classes
     Retrievals

8. #### val allItmpUserDetails: Retrieval[~[~[Option[ItmpName], Option[LocalDate]], Option[ItmpAddress]]]

   Definition Classes
     Retrievals

9. #### val allUserDetails: Retrieval[~[~[~[~[~[~[~[~[~[~[~[Option[Credentials], Option[Name]], Option[LocalDate]], Option[String]], Option[String]], Option[AffinityGroup]], Option[String]], AgentInformation], Option[CredentialRole]], Option[String]], Option[String]], Option[Int]]]

   Definition Classes
     Retrievals

10. #### val applicationName: Retrieval[Option[String]]

    Definition Classes
      Retrievals

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val authorisedEnrolments: Retrieval[Enrolments]

    Definition Classes
      Retrievals

13. #### val clientId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### val confidenceLevel: Retrieval[ConfidenceLevel]

    Definition Classes
      Retrievals

16. #### val credentialRole: Retrieval[Option[CredentialRole]]

    Definition Classes
      Retrievals

17. #### val credentialStrength: Retrieval[Option[String]]

    Definition Classes
      Retrievals

18. #### val credentials: Retrieval[Option[Credentials]]

    Definition Classes
      Retrievals

19. #### val dateOfBirth: Retrieval[Option[LocalDate]]

    Definition Classes
      Retrievals

20. #### val description: Retrieval[Option[String]]

    Definition Classes
      Retrievals

21. #### val email: Retrieval[Option[String]]

    Definition Classes
      Retrievals

22. #### val emailVerified: Retrieval[Option[Boolean]]

    Definition Classes
      Retrievals

23. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

25. #### val externalId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### val gatewayInformation: Retrieval[Option[GatewayInformation]]

    Definition Classes
      Retrievals

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### val groupIdentifier: Retrieval[Option[String]]

    Definition Classes
      Retrievals

30. #### val groupProfile: Retrieval[Option[String]]

    Definition Classes
      Retrievals

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### val internalId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### val itmpAddress: Retrieval[Option[ItmpAddress]]

    Definition Classes
      Retrievals

35. #### val itmpDateOfBirth: Retrieval[Option[LocalDate]]

    Definition Classes
      Retrievals

36. #### val itmpName: Retrieval[Option[ItmpName]]

    Definition Classes
      Retrievals

37. #### val legacySaUserId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

38. #### val loginTimes: Retrieval[LoginTimes]

    Definition Classes
      Retrievals

39. #### val mdtpInformation: Retrieval[Option[MdtpInformation]]

    Definition Classes
      Retrievals

40. #### val name: Retrieval[Option[Name]]

    Definition Classes
      Retrievals

41. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

42. #### val nino: Retrieval[Option[String]]

    Definition Classes
      Retrievals

43. #### final def notify(): Unit

    Definition Classes
      AnyRef

44. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

45. #### val oauthTokens: Retrieval[Option[OauthTokens]]

    Definition Classes
      Retrievals

46. #### val postCode: Retrieval[Option[String]]

    Definition Classes
      Retrievals

47. #### val profile: Retrieval[Option[String]]

    Definition Classes
      Retrievals

48. #### val saUtr: Retrieval[Option[String]]

    Definition Classes
      Retrievals

49. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

50. #### def toString(): String

    Definition Classes
      AnyRef → Any

51. #### val trustedHelper: Retrieval[Option[TrustedHelper]]

    Definition Classes
      Retrievals

52. #### val unreadMessageCount: Retrieval[Option[Int]]

    Definition Classes
      Retrievals

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### val authProviderId: Retrieval[LegacyCredentials]

   Definition Classes
     Retrievals
   Annotations
     @deprecated
   Deprecated

     Use 'credentials' retrieval

2. #### val userDetailsUri: Retrieval[Option[String]]

   Definition Classes
     Retrievals
   Annotations
     @deprecated
   Deprecated

     Use retrievals that fetch user details data directly as opposed to retrieve json using the uri

### Inherited from Retrievals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped